Operations related to live streams. A live stream is a single, linear video broadcast. You broadcast a live stream by receiving encoded source video into the Wowza Video service and letting Wowza Video transcode the stream and deliver it to viewers. A live stream is essentially a one-stop method for creating a transcoder, output renditions, stream targets, and associated players.
- Reference
- REST API
Wowza Video REST API Reference Documentation (v1.11)
API lifecycle phase: Supported 2
| Want to take the API for a test run? All you'll need is a Wowza Video subscription, or free trial, for the API access token. Then, fork our collection in Postman and you'll be making calls to our REST API in minutes! See Trial the Wowza Video REST API using Postman for more information. |
This reference documentation provides details about the operations, parameters, and request and reponse schemas for every resource and endpoint in the Wowza Video REST API. Samples appear in the right column. Sample requests are presented in cURL (Shell) and JavaScript; some samples also include just the JSON object. Response samples are all JSON. Examples in cURL use environment variables so you can easily copy and paste them. To learn more, see Using cURL.
Reference documentation is available for every version of the API. Use the Version menu at the top of the page to access the reference doc for a different version of the API.
Operations related to recordings, which are created through the /live_streams or /transcoders resources. The Wowza Video service can create MP4 recordings of your live streams and transcoded output. Recordings can be downloaded and saved locally. They're based on the highest-bitrate output rendition that Wowza Video generates from your video source. See About recordings to learn more.
Operations related to schedules. Schedules allow you to automatically start or stop a live stream or transcoder at a predetermined date and time. You can configure a schedule to start and/or stop a live stream or transcoder just once, or you can configure it to repeat the behavior on a regular basis. See About schedules to learn more.
Operations related to video on demand (VOD) streams, which are created through the /live_streams or /transcoders resources. A VOD stream is a recording of a live stream that viewers can replay at a later date. After the broadcast is over and the live stream or transcoder is stopped, Wowza Video creates the VOD stream and generates a playback URL. See About VOD Streams to learn more.
Operations related to Real-Time Streaming at Scale. If your audience is fewer than 300 viewers or you want to deliver a stream in near real time alongside other delivery protocols, use our WebRTC solution.
To enable and purchase capacity for Real-Time Streaming at Scale for your account and access the /real_time operations, contact 720.279.8163 or schedule a call.
Request
(Available from version 1.11) This operation returns the live and historic viewer data for a specific live stream. You'll use the query parameters to return live vs historic data, as well as specific types of viewer data.
Querying live data
- To get data for currently live streams, do not send from and to values.
- Use the include query parameter to specify what data you want to return, including: countries, renditions, devices, and trend data.
If you don't send any query parameters (to, from, or include), the total number of viewers is returned.
Querying historic data
- To get data for streams that ran previously, send from and to values.
- Use the include query parameter to specify what data you want to return, including: countries, renditions, devices, and trend data.
If you don't send include values, the total number of viewers is returned.
If the time range between from and to query parameters is:
- Less than 60 minutes, the cache time between responses is 10 seconds.
- More than 60 minutes, the cache time between responses is 60 seconds.
Use this parameter, along with to, to return historic viewer data.
The start of the range of time you want to view. Specify YYYY-DD-MMT HH:MM:SSZ where HH is a 24-hour clock in UTC. The range queried doesn't include minutes and seconds. If you include minutes and seconds, Wowza Video rounds up to the nearest hour when it is more than 30 minutes. If it is less than 30 minutes, Wowza Video rounds it down to the nearest hour. The maximum difference between from and to is 90 days. If you set the from query parameter without setting the to query parameter, the data returned will reflect 90 days starting at the from date, or data up to to the current day, whichever is shorter.
Example: 2023-01-14T10:31:54.486Z
Use this parameter, along with from, to return historic viewer data.
The end of the range of time you want to view. Specify YYYY-DD-MMT HH:MM:SSZ where HH is a 24-hour clock in UTC. The range queried doesn't include minutes and seconds. If you include minutes and seconds, Wowza Video rounds up to the nearest hour when it is more than 30 minutes. If it is less than 30 minutes, Wowza Video rounds it down to the nearest hour. The maximum difference between from and to is 90 days. If you set the to query parameter without setting the from query parameter, the data returned will be from the past 90 days or from your last invoice date, whichever is shorter.
Example: 2023-02-14T10:31:54.486Z
- Mock serverhttps://developer.wowza.com/_mock/docs/wowza-video/api/video/v1.11/openapi/analytics/viewers/live_streams/{id}
- https://api.video.wowza.com/api/v1.11/analytics/viewers/live_streams/{id}
- curl
- Java
- Python
- JavaScript
curl -i -X GET \
'https://developer.wowza.com/_mock/docs/wowza-video/api/video/v1.11/openapi/analytics/viewers/live_streams/{id}?from=2019-08-24T14%3A15%3A22Z&to=2019-08-24T14%3A15%3A22Z&include=string'Success
{ "live_stream": { "id": "tvctq36g", "viewers": 7, "countries": [ … ], "renditions": [ … ], "devices": [ … ], "trend": [ … ] }, "limits": { "from": "2023-04-14T10:31:54.486Z", "to": "2023-07-13T10:31:54.486Z" } }
Request
(Available from version 1.11) This operation returns the live and historic viewer data for a specific VOD stream. You'll use the query parameters to return live vs historic data, as well as specific types of viewer data.
Querying live data
- To get data for currently live streams, do not send from and to values.
- Use the include query parameter to specify what data you want to return, including: countries, renditions, devices, and trend data.
If you don't send any query parameters (to, from, or include), the total number of viewers is returned.
Querying historic data
- To get data for streams that ran previously, send from and to values.
- Use the include query parameter to specify what data you want to return, including: countries, renditions, devices, and trend data.
If you don't send include values, the total number of viewers is returned.
If the time range between from and to query parameters is:
- Less than 60 minutes, the cache time between responses is 10 seconds.
- More than 60 minutes, the cache time between responses is 60 seconds.
Use this parameter, along with to, to return historic viewer data.
The start of the range of time you want to view. Specify YYYY-DD-MMT HH:MM:SSZ where HH is a 24-hour clock in UTC. The range queried doesn't include minutes and seconds. If you include minutes and seconds, Wowza Video rounds up to the nearest hour when it is more than 30 minutes. If it is less than 30 minutes, Wowza Video rounds it down to the nearest hour. The maximum difference between from and to is 90 days. If you set the from query parameter without setting the to query parameter, the data returned will reflect 90 days starting at the from date, or data up to to the current day, whichever is shorter.
Example: 2023-01-14T10:31:54.486Z
Use this parameter, along with from, to return historic viewer data.
The end of the range of time you want to view. Specify YYYY-DD-MMT HH:MM:SSZ where HH is a 24-hour clock in UTC. The range queried doesn't include minutes and seconds. If you include minutes and seconds, Wowza Video rounds up to the nearest hour when it is more than 30 minutes. If it is less than 30 minutes, Wowza Video rounds it down to the nearest hour. The maximum difference between from and to is 90 days. If you set the to query parameter without setting the from query parameter, the data returned will be from the past 90 days or from your last invoice date, whichever is shorter.
Example: 2023-02-14T10:31:54.486Z
- Mock serverhttps://developer.wowza.com/_mock/docs/wowza-video/api/video/v1.11/openapi/analytics/viewers/vod_streams/{id}
- https://api.video.wowza.com/api/v1.11/analytics/viewers/vod_streams/{id}
- curl
- Java
- Python
- JavaScript
curl -i -X GET \
'https://developer.wowza.com/_mock/docs/wowza-video/api/video/v1.11/openapi/analytics/viewers/vod_streams/{id}?from=2019-08-24T14%3A15%3A22Z&to=2019-08-24T14%3A15%3A22Z&include=string'Success
{ "vod_stream": { "id": "tvctq36g", "viewers": 7, "countries": [ … ], "renditions": [ … ], "devices": [ … ], "trend": [ … ] }, "limits": { "from": "2023-04-14T10:31:54.486Z", "to": "2023-07-13T10:31:54.486Z" } }
Request
(Available from version 1.11) This operation returns the live and historic viewer data for a specific stream target. You'll use the query parameters to return live vs historic data, as well as specific types of viewer data.
Querying live data
- To get data for currently live streams, do not send from and to values.
- Use the include query parameter to specify what data you want to return, including: countries, renditions, devices, and trend data.
If you don't send any query parameters (to, from, or include), the total number of viewers is returned.
Querying historic data
- To get data for streams that ran previously, send from and to values.
- Use the include query parameter to specify what data you want to return, including: countries, renditions, devices, and trend data.
If you don't send include values, the total number of viewers is returned.
If the time range between from and to query parameters is:
- Less than 60 minutes, the cache time between responses is 10 seconds.
- More than 60 minutes, the cache time between responses is 60 seconds.
Use this parameter, along with to, to return historic viewer data.
The start of the range of time you want to view. Specify YYYY-DD-MMT HH:MM:SSZ where HH is a 24-hour clock in UTC. The range queried doesn't include minutes and seconds. If you include minutes and seconds, Wowza Video rounds up to the nearest hour when it is more than 30 minutes. If it is less than 30 minutes, Wowza Video rounds it down to the nearest hour. The maximum difference between from and to is 90 days. If you set the from query parameter without setting the to query parameter, the data returned will reflect 90 days starting at the from date, or data up to to the current day, whichever is shorter.
Example: 2023-01-14T10:31:54.486Z
Use this parameter, along with from, to return historic viewer data.
The end of the range of time you want to view. Specify YYYY-DD-MMT HH:MM:SSZ where HH is a 24-hour clock in UTC. The range queried doesn't include minutes and seconds. If you include minutes and seconds, Wowza Video rounds up to the nearest hour when it is more than 30 minutes. If it is less than 30 minutes, Wowza Video rounds it down to the nearest hour. The maximum difference between from and to is 90 days. If you set the to query parameter without setting the from query parameter, the data returned will be from the past 90 days or from your last invoice date, whichever is shorter.
Example: 2023-02-14T10:31:54.486Z
- Mock serverhttps://developer.wowza.com/_mock/docs/wowza-video/api/video/v1.11/openapi/analytics/viewers/stream_targets/{id}
- https://api.video.wowza.com/api/v1.11/analytics/viewers/stream_targets/{id}
- curl
- Java
- Python
- JavaScript
curl -i -X GET \
'https://developer.wowza.com/_mock/docs/wowza-video/api/video/v1.11/openapi/analytics/viewers/stream_targets/{id}?from=2019-08-24T14%3A15%3A22Z&to=2019-08-24T14%3A15%3A22Z&include=string'Success
{ "stream_target": { "id": "tvctq36g", "viewers": 7, "countries": [ … ], "renditions": [ … ], "devices": [ … ], "trend": [ … ] }, "limits": { "from": "2023-04-14T10:31:54.486Z", "to": "2023-07-13T10:31:54.486Z" } }